apiVersion: skaffold/v4beta6
kind: Config
metadata:
  name: sdg
build:
  local:
    push: false
  artifacts:
    - image: seeder
      context: seeder
      docker:
        dockerfile: dev.Dockerfile
      sync:
        manual:
          - src: "**/*.rs"
            dest: /app
    - image: frp-event-simulator
      context: frp-event-simulator
      docker:
        dockerfile: tools/app_container/dev.Dockerfile
      sync:
        manual:
          - src: "**/*.rs"
            dest: /app
    - image: frp-interpreter
      context: .
      docker:
        dockerfile: frp-interpreter/dev.Dockerfile
      sync:
        manual:
          - src: "**/*.go"
            dest: /build
    - image: frp-backend
      context: .
      docker:
        dockerfile: frp-backend/dev.Dockerfile
      sync:
        manual:
          - src: "frp-backend/**/*.go"
            dest: /build
    - image: frp-frontend
      context: .
      docker:
        dockerfile: frp-frontend/dev.Dockerfile
      sync:
        manual:
          # Reload when 1) Go files have changed and/or 2) when views have changed. Note: files in the /public folder are updated (from their sources in the /static folder) by the `pnpm run dev` script that manages hot reload
          - src: "frp-frontend/**/*.go"
            dest: /build
          - src: "frp-frontend/views/**/*.html"
            dest: /build
    # - image: sdg-orchestrator-frontend
    #   context: ../synthetic-data-generator/sdg-orchestrator-frontend
    #   docker:
    #     dockerfile: dev.Dockerfile
    #   sync:
    #     manual:
    #       - src: "**/*.*"
    #         dest: /build
    # - image: sdg-orchestrator
    #   context: ../synthetic-data-generator/sdg-orchestrator
    #   docker:
    #     dockerfile: dev.Dockerfile
    #   sync:
    #     manual:
    #       - src: "**/*.*"
    #         dest: /build
manifests:
  kustomize:
    paths:
      - deploy/kustomize/seeder/overlays/dev
      - deploy/kustomize/frp-event-simulator/overlays/dev
      - deploy/kustomize/frp-interpreter/overlays/dev
      - deploy/kustomize/claim-backend/overlays/dev
      - deploy/kustomize/frp-backend/overlays/dev
      - deploy/kustomize/frp-frontend/overlays/dev
      - deploy/kustomize/common/overlays/dev
      - deploy/kustomize/nats/overlays/dev
      - deploy/kustomize/orchestrator/overlays/dev
      - deploy/kustomize/orchestrator-frontend/overlays/dev
